#ifndef PY_HPP
#define PY_HPP PyTarget

struct PyTarget: Target {
    bool supportsOneLine() final { return false; }
    void on(const StandardComponents::Define &parseComponent) override {
        output << parseComponent.name << " = ";
    }
    void on(const StandardComponents::types::String &parseComponent) override {
        stringInterpolation(parseComponent.content, "\"\"\"", "\"\"\"");
    }
    using Target::Target;
};

#endif